/*
 * Copyright 2017 Dmitry Ivanov
 *
 * This file is part of libquentier
 *
 * libquentier is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 * libquentier is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with libquentier. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LIB_QUENTIER_UTILITY_VERSION_INFO_H
#define LIB_QUENTIER_UTILITY_VERSION_INFO_H

/**
 * This file contains automatically generated code including macro definitions
 * and functions which determine configuration-specific properties of libquentier
 */

/**
 * This macro is set to true if libquentier uses QtWebEngine component;
 * it requires specialized deployment, so this definition can tell whether
 * they are required for libquentier
 */
#define LIB_QUENTIER_USE_QT_WEB_ENGINE 1

/**
 * This macro is set to true if libquentier was built with AuthenticationManager class
 * for OAuth handling
 */
#define LIB_QUENTIER_HAS_AUTHENTICATION_MANAGER 1

/**
 * This macro is set to true if libquentier was built with NoteEditor and INoteEditorBackend classes
 * (as well as their implementations)
 */
#define LIB_QUENTIER_HAS_NOTE_EDITOR 1

/**
 * This macro is set to a string holding the information about the current libquentier build
 */
#define LIB_QUENTIER_BUILD_INFO "unknown"

namespace quentier {

inline int libraryVersion() { return 0 * 10000 + 4 * 100 + 0; }

} // namespace quentier

#endif // LIB_QUENTIER_UTILITY_VERSION_INFO_H
